List adaptive triggers
curl --request GET \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/environments/{environmentKey}/adaptive-triggers \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/projects/{projectKey}/environments/{environmentKey}/adaptive-triggers"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/projects/{projectKey}/environments/{environmentKey}/adaptive-triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"next": {
"href": "href",
"type": "type"
},
"last": {
"href": "href",
"type": "type"
},
"prev": {
"href": "href",
"type": "type"
},
"self": {
"href": "href",
"type": "type"
},
"first": {
"href": "href",
"type": "type"
}
},
"totalCount": 5,
"items": [
{
"resourceKind": "flag",
"createdAt": 6,
"task": {
"instructions": [
{
"variationId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"kind": "updateFallthroughVariationOrRollout",
"ruleId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
},
{
"variationId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"kind": "updateFallthroughVariationOrRollout",
"ruleId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
}
]
},
"resourceKey": "resourceKey",
"name": "name",
"id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"triggerSource": {
"alertId": 0,
"type": "observabilityAlert"
},
"enabled": true,
"updatedAt": 1
},
{
"resourceKind": "flag",
"createdAt": 6,
"task": {
"instructions": [
{
"variationId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"kind": "updateFallthroughVariationOrRollout",
"ruleId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
},
{
"variationId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"kind": "updateFallthroughVariationOrRollout",
"ruleId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
}
]
},
"resourceKey": "resourceKey",
"name": "name",
"id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"triggerSource": {
"alertId": 0,
"type": "observabilityAlert"
},
"enabled": true,
"updatedAt": 1
}
]
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}List adaptive triggers
List all adaptive triggers for a resource.
GET
/
api
/
v2
/
projects
/
{projectKey}
/
environments
/
{environmentKey}
/
adaptive-triggers
List adaptive triggers
Authorizations
Query Parameters
Available options:
flag, ai-config The number of items to return.
Required range:
1 <= x <= 50Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
Required range:
x >= 0Response
Adaptive Triggers list
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{ "next": { "href": "href", "type": "type" }, "last": { "href": "href", "type": "type" }, "prev": { "href": "href", "type": "type" }, "self": { "href": "href", "type": "type" }, "first": { "href": "href", "type": "type" } }